
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "p_layout.html" %}
{% block content %}

          <!-- Content Row -->
          <div class="row">

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-danger shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Packages Total</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ pack|length }}</div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-calendar fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Paid Order</div>

                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{rows}}</div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Tasks</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">50%</div>
                        </div>
                        <div class="col">
                          <div class="progress progress-sm mr-2">
                            <div class="progress-bar bg-info" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Pending Requests Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Support Disccutions</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ supports|length }}</div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-comments fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="container"><center>{% if error %}<p class=error><strong>Error:</strong> {{ error }}{% endif %}<br>{% with messages = get_flashed_messages(with_categories=true) %}{% if messages %}<div class="alert alert-{{ messages.0.0 }}" role="alert">{% for category, message in messages %}{{ message }} </br>{% endfor %}</div>{% endif %}{% endwith %}</center>
            </div>

          <!-- Content Row -->

          <div class="row">

            <!-- Area Chart -->
            <div class="col-xl-8 col-lg-7">
              <div class="card1 shadow mb-4">
                <!-- Card Header - Dropdown -->
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-inbox"></i> Requested offers by users </h6>
                  <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
             
                  </div>
                </div>
                <!-- Card Body -->
                

<div class="card-body"><div class="chart-area">{% for obj in objs %}
 <p1 style="color: red;"><i class="fas fa-info"></i>  Number : {{ obj.whatsapp }} || <i class="fas fa-at"></i> Location : {{ obj.location }} || <b style="color: black;">Offer : </b> {{ obj.offer_want }}</p1>

<p><i class="fas fa-stopwatch"></i>{{ obj.created_at.strftime("%B %d, %Y") }}   || </p><hr><hr>{% endfor %}<br><br>

<style type="text/css">.card1 {overflow-y: auto;max-height: 500px;}</style></div>
                </div>
              </div>
            </div>
            <!-- Pie Chart -->
            <div class="col-xl-4 col-lg-5">
              <div class="card1 shadow mb-4">
                <!-- Card Header - Dropdown -->
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-question-circle">Auto Mailer</i></h6>
                  <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
                
                  </div>
                </div>
                <!-- Card Body -->

                <div class="card-body">
                  <div class="card text-white mb-3">
             <div class="card-body">

  {{ wtf.quick_form(form) }}

   
                            </p>
                              </div>
                             </div>
                                    </div>
                                          </div>
                                        </div>
                                     </div>

     <!-- Content Row -->

              <div class="row">

            <!-- Area Chart -->
            <div class="col-xl-8 col-lg-7">
              <div class="card1 shadow mb-4">
                <!-- Card Header - Dropdown -->
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-inbox"></i> The Last Message sent by user</h6>
                  <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
             
                  </div>
                </div>
                <!-- Card Body -->
                

<div class="card-body"><div class="chart-area">{% for msg in msgs %}
 <p1 style="color: orange;"><i class="fas fa-info"></i>  : {{ msg.name }} || <i class="fas fa-at"></i> : {{ msg.mail }}</p1>
<p>Subject : {{ msg.sub }}</p>
<p><i class="fas fa-sticky-note"></i> {{ msg.msg }}.</p>
<p><i class="fas fa-stopwatch"></i>{{ msg.msg_time }}   ||  <a href="{{ url_for('panel.delmsg', id=msg.id) }}" class="fas fa-trash-alt" onclick="return confirm('Are You Sure For Delete?')" aria-hidden="true"></a></p><hr><hr>{% endfor %}<br><br>



<style type="text/css">.card1 {overflow-y: auto;max-height: 500px;}</style></div>
                </div>
              </div>
            </div>
            <!-- Pie Chart -->
            <div class="col-xl-4 col-lg-5">
              <div class="card1 shadow mb-4">
                <!-- Card Header - Dropdown -->
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                  <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-question-circle"></i>Last Ticket Support Area</h6>
                  <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
                
                  </div>
                </div>





                <!-- Card Body -->
                <div class="card-body">
                  {% for sup in sups %}
 <div class="card text-white bg-warning mb-3">
  <div class="card-body">
    <h5 class="card-title">{{ sup.sub }}</h5>
    <p class="card-text"><i class="fas fa-sticky-note"></i> : {{ sup.msg }}</p>
   
    <p class="card-text"><i class="fas fa-thermometer-three-quarters"></i> : {% if sup.is_closed %}CLOSED{% else %}OPEN{% endif %}</p>
    <p style="color: red;"><p class="card-text"><i class="fas fa-user"></i> : {{ sup.user.username }}</p></p>
    <p class="card-text">
      <a class="btn btn-outline-danger btn-sm" href="{{ url_for('panel.desup', id=sup.id) }}" role="button" onclick="return confirm('Are You Sure To Delete?')">Delete</a>

    <button type="button" class="btn btn-outline-success btn-sm" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-comment-dots"></i> Replay</button>
    <button type="button" class="btn btn-outline-dark btn-sm" onclick="return confirm('Are You Sure You Wanna Close This Ticket')"><i class="fas fa-times-circle"></i> Close</button>
</p>
  </div>



<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 style="color: black;" class="modal-title" id="exampleModalLabel">New ticket : {{ sup.user.username }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
  <input type="text" style="color: red;" readonly class="form-control-plaintext" id="staticEmail" value="{{ sup.user.email }}">

                               {{ form.txt(class='form-control', placeholder='Type your message', row=6) }}<br>
                      {% for error in form.txt.errors %}
                             <span style="color: red;">[{{ error }}]</span>
                               {% endfor %}

                               {{ form.submit() }}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>





  <div class="card-footer text-muted">
    {{ sup.support_time }}
  </div></div>{% endfor %}
<div class="mt-4 text-center small">
<span class="mr-2">
<i class="fas fa-circle text-danger"></i> Delete
</span>
<span class="mr-2">
<i class="fas fa-circle text-success"></i> Replay
</span>
<span class="mr-2">
<i class="fas fa-circle text-dark"></i> Close
</span>
</div>
                </div>
              </div>
            </div>
          </div>

          <!-- Content Row -->

          <div class="row">

            <!-- Content Column -->
            <div class="col-lg-6 mb-4">

            </div>
          </div>

        </div>
        <!-- /.container-fluid -->

      </div>
   
{% endblock content %}